### Method

# Json Parser load_from_stream

#### Declaration [src]

    gboolean
    json_parser_load_from_stream (
      JsonParser* parser,
      GInputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads the contents of an input stream and parses them.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, `G_IO_ERROR_CANCELLED` will be set on the given `error`.

Available since: | 0.12

#### Parameters

`stream` | `GInputStream`
| The input stream with the JSON data.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the data stream was successfully read and parsed, and `FALSE` otherwise.